Package org.springframework.security.web.authentication.rememberme

# Class InMemoryTokenRepositoryImpl

java.lang.Object
org.springframework.security.web.authentication.rememberme.InMemoryTokenRepositoryImpl

All Implemented Interfaces:
  `PersistentTokenRepository`

public class InMemoryTokenRepositoryImpl extends Object implements PersistentTokenRepository
Simple `PersistentTokenRepository` implementation backed by a Map. Intended for testing only.

## Constructor Summary

Constructors
Constructor
Description
`InMemoryTokenRepositoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createNewToken(PersistentRememberMeToken token)`
`PersistentRememberMeToken`
`getTokenForSeries(String seriesId)`
`void`
`removeUserTokens(String username)`
`void`
`updateToken(String series, String tokenValue, Date lastUsed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InMemoryTokenRepositoryImpl

public InMemoryTokenRepositoryImpl()

## Method Details

### createNewToken

public void createNewToken(PersistentRememberMeToken token)

Specified by:
  `createNewToken` in interface `PersistentTokenRepository`

### updateToken

public void updateToken(String series, String tokenValue, Date lastUsed)

Specified by:
  `updateToken` in interface `PersistentTokenRepository`

### getTokenForSeries

public PersistentRememberMeToken getTokenForSeries(String seriesId)

Specified by:
  `getTokenForSeries` in interface `PersistentTokenRepository`

### removeUserTokens

public void removeUserTokens(String username)

Specified by:
  `removeUserTokens` in interface `PersistentTokenRepository`